--- asterisk/say.c	2004-12-27 13:33:36.000000000 -0300
+++ asterisk/say.new.c	2004-12-28 19:25:26.000000000 -0300
@@ -28,6 +28,8 @@
 #include "asterisk.h"
 #include <stdio.h>
 
+/* Time to wait (in ms) before start playing the first digit */
+static const int pause_time = 500;
 
 /* Forward declaration */
 static int wait_file(struct ast_channel *chan, char *ints, char *file, char *lang);
@@ -38,6 +40,9 @@
 	char fn[256] = "";
 	int num = 0;
 	int res = 0;
+	/* Pause an instant to be sure the first digit is heard ok*/
+	ast_safe_sleep(chan, pause_time);
+
 	while(fn2[num] && !res) {
 		fn[0] = '\0';
 		switch (fn2[num]) {
@@ -70,6 +75,9 @@
 	char ltr;
 	int num = 0;
 	int res = 0;
+	/* Pause an instant so the first char is heard ok*/
+	ast_safe_sleep(chan, pause_time);
+
 	while(fn2[num] && !res) {
 		fn[0] = '\0';
 		switch (fn2[num]) {
@@ -495,6 +503,9 @@
 /* Called from AGI */
 int ast_say_number_full(struct ast_channel *chan, int num, char *ints, char *language, char *options, int audiofd, int ctrlfd)
 {
+	/* Pause an instant to be sure the first digit is heard ok*/
+	ast_safe_sleep(chan, pause_time);
+
 	if (!strcasecmp(language,"en") ) {	/* English syntax */
 	   return(ast_say_number_full_en(chan, num, ints, language, audiofd, ctrlfd));
 	} else if (!strcasecmp(language, "da") ) {	/* Danish syntax */
